%define	release	0.c19.4mdk
%define version 1.0
%define realver 1.0c19
%define url	ftp://ftp.bitchx.org/pub/BitchX/source/

Name:		BitchX
Summary:	Textmode IRC client
Version:	%{version}
Release:	%{release}
Epoch:		1

Source:		%{url}/ircii-pana-%{realver}.tar.bz2
Source1:	ircii-translation.tar.bz2
Source2:	bx-config.h.1.0c17.bz2

Patch:		ircii-pana-75p3.fakeid.patch.bz2
Patch2:		BitchX-emacs.patch.bz2
Patch3:		BitchX-mdkconf.patch.bz2
Patch4:		BitchX-security.patch.bz2
Patch5:		BitchX-dumble.patch.bz2
Patch6:		BitchX-doc.patch.bz2
Patch7:		BitchX-no_europa.patch.bz2
Patch8:		BitchX-1.0c17-versioned-tcl.patch.bz2

Patch10:	BitchX-warning.patch.bz2

Group:		Networking/IRC
URL:		http://www.bitchx.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	BSD-style
Obsoletes:	ircii
Provides:	ircii
Prefix:		%{_prefix}
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
%ifnarch alpha sparc sparc64 ppc ia64
BuildRequires: tcl
%endif
Requires: tcl

%description
This is the bleeding edge of IRC software -- the most common
functions normally done by scripts are coded into the client itself.
It contains dozens of features such as:

    * Built-in ANSI color (this is probably the biggest feature)
    * Ease of use -- dozens of useful command aliases to reduce typing
    * Built-in notify, protection, and bot lists
    * Built-in mass commands and tools
    * Extended set of DCC commands and built-in CDCC offering
    * Extended scripting functionality, including unique functions
    * Code is based on ircII-Plutonium and more recent ircII-EPiC

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n BitchX
find . -type d -name 'CVS'|xargs rm -rf

# 20020513 do not know
#%patch -p1
%patch2 -p0
%patch3 -p0 
# 20020328 warly: it seems to be in mainstream
#%patch4 -p1 
%patch5 -p1
# 20020328 warly: put in spec
#%patch6 -p1
# 20020328 warly: done in spec
#%patch7 -p1 -b .old
# 20020328 warly: done in spec
#%patch8 -p1 -b .versioned-tcl

%patch10 -p1 -b .warning 

%build
# 20020328 warly
#%ifarch alpha sparc sparc64 ppc ia64
#OPTS="--without-tcl"
#%else
#OPTS="--with-tcl"
#%endif

# 20020328 warly
#cp $RPM_BUILD_DIR/%{name}/tcl-linux.o $RPM_BUILD_DIR/%{name}/source/tcl.o

#rm $RPM_BUILD_DIR/%{name}/dll/europa -rf
perl -pi -e 's,HELPDIR=.*,HELPDIR="\\\${datadir}/doc/BitchX-%version",' configure.in
perl -pi -e 's,(#PLUGINS.*)europa,$1,' dll/Makefile.in 
#perl -pi -e 's/CFLAGS = \@CFLAGS\@ -DHUMBLE/CFLAGS = \@CFLAGS\@/' Makefile.in 
./autogen.sh $OPTS  --without-mysqlclient --with-plugins --disable-gtktest --disable-gnometest --with-ssl


# 20020328 warly: do not compile any more
#bzcat %{SOURCE2} > include/config.h

perl -pi -e 's/#undef UNAME_HACK/#define UNAME_HACK 1/' include/config.h 

gmake

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -m644 BitchX.ircnames $RPM_BUILD_ROOT%{_libdir}/bx
install -m644 BitchX.quit $RPM_BUILD_ROOT%{_libdir}/bx
install -m644 BitchX.reasons $RPM_BUILD_ROOT%{_libdir}/bx
install -m755 source/wserv $RPM_BUILD_ROOT%{_bindir}

#cp -r bitchx-docs/* $RPM_BUILD_ROOT%{_libdir}/bx/help
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/BitchX-%version
install -m644 BitchX.help $RPM_BUILD_ROOT%{_datadir}/doc/BitchX-%version

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
#zcat BitchX.1.gz > $RPM_BUILD_ROOT/%{_mandir}/man1/BitchX.1

(cd $RPM_BUILD_ROOT/%{_libdir}/bx &&
	bzip2 -dc %{SOURCE1} |tar x )

# fix up symlink
ln -sf BitchX-%{realver} $RPM_BUILD_ROOT/%{_bindir}/BitchX

# make symlink for wserv
(cd $RPM_BUILD_ROOT/%{_bindir} &&
	ln -sf ../..%{_libdir}/bx/wserv wserv )

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changelog docs BitchX.help
%{_bindir}/BitchX*
%{_bindir}/scr-bx
%{_bindir}/wserv
%{_libdir}/bx
%{_mandir}/man1/BitchX.1*

%changelog
* Mon Nov 04 2002 Ha Quc-Vit <viet@mandrakesoft.com> 1.0-0.c19.4mdk
- Patch10: fixes a few missing prototypes (string.h for memcpy, _getlong, etc)

* Wed May 29 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.c19.3mdk
- BuildRequires

* Fri May 24 2002 Warly <warly@mandrakesoft.com> 1.0-0.c19.2mdk
- remove version replying

* Mon May 13 2002 Warly <warly@mandrakesoft.com> 1.0-0.c19.1mdk
- new version

* Thu Mar 28 2002 Warly <warly@mandrakesoft.com> 1.0-0.c18.1mdk
- new version

* Thu Feb 28 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-0.c17.13mdk
- Don't make BitchX depend on a versionless tcl.

* Wed Feb 27 2002 dam's <damien@mandrakesoft.com> 1.0-0.c17.12mdk
- added tcl require

* Tue Oct 23 2001 dam's <damien@mandrakesoft.com> 1.0-0.c17.11mdk
- patch 7 (no_europa) to remove europa plugin.
- get rid of MySQL buildrequire

* Wed Aug 22 2001 dam's <damien@mandrakesoft.com> 1.0-0.c17.10mdk
- added provides

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 1.0-0.c17.9mdk
- rebuilt

* Fri Jul 13 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.0-0.c17.8mdk
- Recompile with new MySQL-shared
- s/Copyright/License

* Wed Apr 18 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0-0.c17.7mdk
- Disable tcl for ia64 as well
- Fixed BuildRequires so that tcl is not required for archs that don't need it

* Wed Mar  7 2001 dam's <damien@mandrakesoft.com> 1.0-0.c17.6mdk
- moved help to /usr/share/doc

* Sun Jan 21 2001 Warly <warly@mandrakesoft.com> 1.0-0.c17.5mdk
- recompile with new MySQL-shared

* Tue Dec 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-0.c17.4mdk
- BuildRequires: MySQL-devel
- Remove the alpha patch, no needed anymore.

* Mon Dec 18 2000 dam's <damien@mandrakesoft.com> 1.0-0.c17.3mdk
- corrected copyright.

* Fri Dec 15 2000 dam's <damien@mandrakesoft.com> 1.0-0.c17.2mdk
- corrected copyright.

* Thu Dec 14 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0-0.c17.1mdk
- 1.0c17
- build with plugins
- security patch to prevent buffer overflow
- removed previous format patch (included now)

* Mon Nov  6 2000 dam's <damien@mandrakesoft.com> 75p3-18mdk
- cosmetik changes.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 75p3-17mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 75p3-16mdk
- BM

* Sun Jul 09 2000 David BAUDENS <baudens@mandrakesoft.com> 75p3-15mdk
- BuildRequires: rpm >= 3.0.5

* Sun Jul  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 75p3-14mdk
- Active HUMBLE.

* Sun Jul  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 75p3-13mdk
- Don't build with tcl on ppc either - ld also segfaults. Doh.
- macros clean-up.

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 75p3-12mdk
- Patch to avoid segfault when inviting with %s.

* Wed Mar 22 2000 dam's <damien@mandrakesoft.com> 75p3-11mdk
- Release

* Fri Jan 14 2000 Francis Galiegue <francis@mandrakesoft.com>
- Don't build with tcl on sparc either - ld also segfaults. Doh.

* Fri Jan 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 75p3-9mdk
- Patch to work on alpha (sucky !!!).
- Add Mandrak3 in /version.
- Bind some emacs keys.
- Don't compile with tcl on alpha (ld segfault !!!!).
- WANT_NOTIFY_BITCHX_COM off
- WANT_HEBREW ON.
- DEFAULT_OPERMODE "swfc"
- update descriptions.

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Empty pocket lint (rpmlint that is)
	- strip
	- new group "Applications/Internet"

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build

* Thu Aug 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Added character translations from ircii (test this lots please!)

* Tue Aug 03 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add some defines so /help works

* Sun Aug  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mailed original to RedHat =P.
- Insert Manpages.
- Insert Bitchx.* in %{prefix}/lib/bx/
- Inert description in spec.
- Insert doc.

* Fri Jul  9 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- patch config.h for pidentd+fm
- Mailed original to Microsoft =P
- enabled Hades look cause blue is boreing

* Fri Jul  9 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- Add Obsoletes: ircii
- Fix up symlink /usr/bin/BitchX
- suggest the broken 1mdk package for inclusion in Microsoft Linux ;)

* Fri Jul  9 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial RPM
